# Ship param :: Cap'n Hugo Relearrrn Theme
Documentation for Hugo Relearn Theme
Author: Sören Weber

# Ship param

Arrr! Pirrrates

Fello' pirrates, be awarrre some stuff may not work fer us in this trrranslat'n. Like table of rrramblings, see'ng Merrrmaids, do'ng math or chemistrrry and stuff.

Th' `siteparam` shortcode prints values o' ship params.

## Usage

While th' examples be us'n shorrrtcodes wit' named parameter ye be free t' use positional aswell or call this shortcode from yer own partials.

    {{% siteparam name="editURL" %}}

    {{% siteparam "editURL" %}}

    {{ partial "shortcodes/siteparam.html" (dict
      "context" .
      "name" "editURL"
    )}}

### Parameter

Name | Posit'n | Default | Notes
--- | --- | --- | ---
name | 1 | <empty> | Th' name o' th' ship param t' be displayed.

## Examples

### `editURL` from `config.toml`

    `editURL` value: {{% siteparam name="editURL" %}}

`editURL` value: https://github.com/McShelby/hugo-theme-relearn/edit/main/exampleSite/content/